## class OSGGL2_EXPORT PerContextProgObj

## Inheritance:

### Public Methods

PerContextProgObj(const ProgramObject* parent, Extensions* extensions)
PerContextProgObj(const PerContextProgObj& rhs)
GLhandleARB& getHandle()
bool isDirty() const
void markAsDirty()
void markAsClean()
bool build() const
void use() const
void markAsAttached()
bool isUnattached() const

### Protected Fields

const ProgramObject* _parent
osg::ref_ptr<Extensions> _extensions
GLhandleARB _handle
bool _dirty
bool _unattached

### Protected Methods

PerContextProgObj()
~PerContextProgObj()

## Documentation

`PerContextProgObj(const ProgramObject* parent, Extensions* extensions)`

`PerContextProgObj(const PerContextProgObj& rhs)`

`GLhandleARB& getHandle()`

`bool isDirty() const`

`void markAsDirty()`

`void markAsClean()`

`bool build() const`

`void use() const`

`void markAsAttached()`

`bool isUnattached() const`

`PerContextProgObj()`

`~PerContextProgObj()`

`const ProgramObject* _parent`

`osg::ref_ptr<Extensions> _extensions`

`GLhandleARB _handle`

`bool _dirty`

`bool _unattached`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.